output_iterator.hpp File Reference
`#include <cstddef>`
`#include <iterator>`
`#include <memory>`
`#include <utility>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/osm/diff_object.hpp>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for output_iterator.hpp:

Go to the source code of this file.

## Classes

class | osmium::io::OutputIterator< TDest >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::memory
| Memory management of items in buffers and iterators over this data.
| osmium::io
| Everything related to input and output of OSM data.

## Functions

template<typename TDest >
OutputIterator< TDest > | osmium::io::make_output_iterator (TDest &destination)
template<typename TDest >
OSMIUM_DEPRECATED OutputIterator< TDest > | osmium::io::make_output_iterator (TDest &destination, const size_t buffer_size)